curl --request GET \
--url https://api.novig.com/nbx/v2/emm/markets/openimport requests
url = "https://api.novig.com/nbx/v2/emm/markets/open"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/markets/open', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "KC v BUF Total",
"status": "OPEN",
"type": "TOTAL",
"league": "NFL",
"volume": 1000000,
"eventId": "123e4567-e89b-12d3-a456-426614174000",
"outcomeIds": [
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
],
"outcomes": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"description": "Over 26.5",
"type": "<string>",
"status": "TBD",
"index": 0,
"last": 0.55,
"competitor": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
}
}
],
"strike": 26.5,
"event": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"type": "REGULAR_SEASON",
"status": "OPEN_PREGAME",
"description": "KC Chiefs vs BUF Bills - Week 14",
"game": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"league": "NFL",
"status": "SCHEDULED",
"scheduledStart": "2023-12-10T20:00:00Z",
"homeTeam": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
},
"awayTeam": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
}
}
},
"playerId": "123e4567-e89b-12d3-a456-426614174001",
"player": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Josh Allen",
"fullName": "Joshua Patrick Allen",
"position": "QB"
},
"competitor": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Kansas City Chiefs",
"shortName": "Chiefs",
"symbol": "KC",
"mascot": "Chiefs"
},
"settledAt": "2023-10-05T12:00:00Z"
}
]Get open markets
Fetch a list of all markets currently open, satisfying the provided parameters.
Rate limit: 128 requests per second.
Query Parameters
The league to filter markets by
NFL, NBA, MLB, NHL, NCAAF, NCAAB, NCAAWB, WNBA, UFC, MLS, FIFA Club World Cup, EPL, Bundesliga, Serie A, La Liga, Ligue 1, Champions League, Europa League, WTA, ATP, PGA, ENTERTAINMENT The type of market to filter by
CUSTOM, MONEY, SPREAD, TOTAL, 1X2, TEAM_TOTAL, MONEY_1H, SPREAD_1H, TOTAL_1H, RUSHING_ATTEMPTS, RUSHING_YARDS, PASSING_COMPLETIONS, PASSING_YARDS, PASSING_ATTEMPTS, RECEPTIONS, RECEIVING_YARDS, LONGEST_RECEPTION, LONGEST_RUSH, LONGEST_COMPLETION, RUSHING_AND_RECEIVING_YARDS, PITCHER_STRIKEOUTS, HOME_RUNS, TOTAL_BASES, RBIS, HITS, HITS_RUNS_RBIS, PITCHER_OUTS, RUNS, WALKS, EARNED_RUNS, HITS_ALLOWED, BATTING_STRIKEOUTS, STOLEN_BASES, THREE_POINTERS_MADE, BLOCKS, DOUBLE_DOUBLE, POINTS, REBOUNDS, POINTS_REBOUNDS_ASSISTS, POINTS_ASSISTS, POINTS_REBOUNDS, REBOUNDS_ASSISTS, STEALS, STEALS_BLOCKS, TRIPLE_DOUBLE, FIRST_BASKET, PLAYER_ACES, TURNOVERS, SET_SPREAD, TOTAL_SETS, FIRST_SET_MONEYLINE, FIRST_GOAL_SCORER, PLAYER_GOALS, ASSISTS, ANYTIME_TOUCHDOWN_SCORER, FIRST_TOUCHDOWN_SCORER, GO_THE_DISTANCE, VICTORY_BY_KO_KTO_OR_DQ, VICTORY_BY_DECISION, VICTORY_BY_SUBMISSION, DRAW, PLAYER_BIRDIES_OR_BETTER, FIRST_ROUND_MONEYLINE, SECOND_ROUND_MONEYLINE, THIRD_ROUND_MONEYLINE, FOURTH_ROUND_MONEYLINE, FIRST_INNING_TOTAL, TO_MAKE_THE_PLAYOFFS, REGULAR_SEASON_WINS, SERIES_WINNER, CHAMPIONSHIP_WINNING_DIVISION, CHAMPIONSHIP_WINNER, MVP_WINNER, EASTERN_CONFERENCE_WINNER, WESTERN_CONFERENCE_WINNER, FINALS_MVP, WINNER, TOP_FIVE_FINISH, TOP_TEN_FINISH, TOP_TWENTY_FINISH, AL_CENTRAL_DIVISION_WINNER, NL_CENTRAL_DIVISION_WINNER, AL_EAST_DIVISION_WINNER, NL_EAST_DIVISION_WINNER, AL_WEST_DIVISION_WINNER, NL_WEST_DIVISION_WINNER, AL_CY_YOUNG_WINNER, NL_CY_YOUNG_WINNER, AL_MVP, NL_MVP, AL_ROTY, NL_ROTY, AL_WINNER, NL_WINNER, WORLD_SERIES_WINNER, STANLEY_CUP_WINNER, SUPER_BOWL_WINNER, NFC_CONFERENCE_WINNER, AFC_CONFERENCE_WINNER, NFC_NORTH_WINNER, NFC_EAST_WINNER, NFC_SOUTH_WINNER, NFC_WEST_WINNER, AFC_NORTH_WINNER, AFC_EAST_WINNER, AFC_SOUTH_WINNER, AFC_WEST_WINNER, OPOTY, DPOTY, OROTY, DROTY Response
Successfully retrieved all open markets.
The ID of the market
"123e4567-e89b-12d3-a456-426614174000"
Description of the market
"KC v BUF Total"
The current status of the market (OPEN, CLOSED, or SETTLED)
"OPEN"
The type of market (MONEY, SPREAD, TOTAL, RUSHING_ATTEMPTS, etc.)
"TOTAL"
The league of the market
"NFL"
The total volume of the market in CASH denomination
1000000
The event associated with the market
"123e4567-e89b-12d3-a456-426614174000"
Array of outcome IDs linked to this market
[
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
]
Array of outcomes linked to this market
Show child attributes
Show child attributes
The threshold of the market in the unit of the stat type
26.5
The event details associated with the market
Show child attributes
Show child attributes
The player associated with the market (if applicable)
"123e4567-e89b-12d3-a456-426614174001"
The player associated with the market (if applicable)
Show child attributes
Show child attributes
The competitor associated with the market (if applicable)
Show child attributes
Show child attributes
When the market was settled (if applicable)
"2023-10-05T12:00:00Z"